Subject: Re: bug#37488: 27.0.50; Inconsistent naming of arg of `text-property-search-forward' and `-backward'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Sep 2019 15:17:11 +0200

Michael Heerdegen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> > note that PREDICATE -> nil means "not equal", so with VALUE -> nil this
>> > actually searches for non-nil values of the text property, which is a
>> > reasonable (and the expected) default behavior.
>>
>> Is it?  IME, we usually search for a specific value, not for any
>> value.
>
> For me, yes, the function fills a certain gap.  But I'm not an expert on
> that matter.

In my experience, we almost never search for a specific value for a text
property, but any text that has that property.  That's why I added the
nil PREDICATE to avoid having to supply that awkward lambda into every
function I wrote...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no